<?php
defined('JPATH_BASE') or die;
jimport('joomla.form.formfield');

class JFormFieldNewelement extends JFormField {
	protected $type = 'Newelement';
	protected function getInput() {
	   $doc =& JFactory::getDocument();
        $doc->addStyleSheet(JURI::root(true).'/modules/mod_vtem_sweet_menu/admin/style.css');
	    $doc->addScript(JURI::root(true).'/modules/mod_vtem_sweet_menu/admin/additem.js');
		
		$add_form = '<div id="vt_element_manager"><div id="vt_element_add_header">'.JText::_('MOD_VTEM_SWEET_FORM_ITEMS_CREATED').'<a href="#add">'.JText::_('MOD_VTEM_SWEET_FORM_ITEM_ADD').'</a></div><div id="vt_element_add_form">'.$this->getForm('add').'</div></div>';
		
		$edit_form = $this->getForm('edit');
		
		$item_form = '<div id="invisible"><div class="vt_element_item"><div class="vt_element_item_desc"><span class="vt_element_item_name"></span><span class="vt_element_item_order_down" title="'.JText::_('MOD_VTEM_SWEET_FORM_ITEM_ORDER_DOWN').'"></span><span class="vt_element_item_order_up" title="'.JText::_('MOD_VTEM_SWEET_FORM_ITEM_ORDER_UP').'"></span><a href="#remove" class="vt_element_item_remove" title="'.JText::_('MOD_VTEM_SWEET_FORM_ITEM_REMOVE').'">'.JText::_('MOD_VTEM_SWEET_FORM_ITEM_REMOVE').'</a><a href="#edit" class="vt_element_item_edit" title="'.JText::_('MOD_VTEM_SWEET_FORM_ITEM_EDIT').'">'.JText::_('MOD_VTEM_SWEET_FORM_ITEM_EDIT').'</a><span class="vt_element_item_type"></span><span class="vt_element_item_access"></span><span class="vt_element_item_state published"><span>'.JText::_('MOD_VTEM_SWEET_FORM_ITEM_PUBLISHED').'</span><span>'.JText::_('MOD_VTEM_SWEET_FORM_ITEM_UNPUBLISHED').'</span></span></div><div class="vt_element_editor_scroll"><div class="vt_element_item_editor">'.$edit_form.'</div></div></div></div>';
		
		$tabs_list = '<div id="tabs_list"></div>';
		$textarea = '<textarea name="'.$this->name.'" id="'.$this->id.'" rows="20" cols="50">'.$this->value.'</textarea>';
		return $item_form . $add_form . $tabs_list . $textarea;
	}
	
	private function getForm($type = 'add') {       
       	$form_name_tooltip = ($type == 'add') ? ' class="hasTip" title="' . JText::_('MOD_VTEM_SWEET_FORM_NAME_TOOLTIP') . '"' : '';
        $form_name = '<p><label'.$form_name_tooltip.'>'.JText::_('MOD_VTEM_SWEET_FORM_NAME').'</label><input type="text" class="vt_element_'.$type.'_name" /></p>';
        
        $form_type_tooltip = ($type == 'add') ? ' class="hasTip" title="' . JText::_('MOD_VTEM_SWEET_FORM_TYPE_TOOLTIP') . '"' : '';
		$form_type = '<p><label'.$form_type_tooltip.'>'.JText::_('MOD_VTEM_SWEET_FORM_TYPE').'</label><select class="vt_element_'.$type.'_type"><option value="_blank">'.JText::_('MOD_VTEM_SWEET_TYPE_MODULE').'</option><option value="_self" selected="selected">'.JText::_('MOD_VTEM_SWEET_TYPE_XHTML').'</option><option value="lightbox">'.JText::_('MOD_VTEM_SWEET_TYPE_LIGHTBOX').'</option></select></p>';
		
		$form_access_level_tooltip = ($type == 'add') ? ' class="hasTip" title="' . JText::_('MOD_VTEM_SWEET_FORM_ACCESS_TOOLTIP') . '"' : '';
		$form_access_level = '<p><label'.$form_access_level_tooltip.'>'.JText::_('MOD_VTEM_SWEET_FORM_ACCESS').'</label><select class="vt_element_'.$type.'_content_access"><option value="public">'.JText::_('MOD_VTEM_SWEET_FORM_ACCESS_PUBLIC').'</option><option value="registered">'.JText::_('MOD_VTEM_SWEET_FORM_ACCESS_REGISTERED').'</option></select></p>';
		
		$form_content_tooltip = ($type == 'add') ? ' class="hasTip" title="' . JText::_('MOD_VTEM_SWEET_FORM_CONTENT_TOOLTIP') . '"' : '';
		$form_content = '<p><label'.$form_content_tooltip.'>'.JText::_('MOD_VTEM_SWEET_FORM_CONTENT').'</label><input type="text" class="vt_element_'.$type.'_content" size="35"/></p>';
		
		$form_url_tooltip = ($type == 'add') ? ' class="hasTip" title="' . JText::_('MOD_VTEM_SWEET_FORM_URL_TOOLTIP') . '"' : '';
		$form_url = '<p><label'.$form_url_tooltip.'>'.JText::_('MOD_VTEM_SWEET_FORM_URL').'</label><input type="text" class="vt_element_'.$type.'_url" size="35"/></p>';
		
		$form_published_tooltip = ($type == 'add') ? ' class="hasTip" title="' . JText::_('MOD_VTEM_SWEET_FORM_PUBLISHED_TOOLTIP') . '"' : '';
		$form_published = '<p><label'.$form_published_tooltip.'>'.JText::_('MOD_VTEM_SWEET_FORM_PUBLISHED').'</label><select class="vt_element_'.$type.'_published"><option value="1">'.JText::_('MOD_VTEM_SWEET_PUBLISHED').'</option><option value="0">'.JText::_('MOD_VTEM_SWEET_UNPUBLISHED').'</option></select></p>';
		
		$form_buttons = '<div class="vt_element_'.$type.'_submit"><a href="#save">'.JText::_('MOD_VTEM_SWEET_FORM_SAVE').'</a><a href="#cancel">'.JText::_('MOD_VTEM_SWEET_FORM_CANCEL').'</a></div>';
		
		$form = '<div class="height_scroll"><div class="vt_element_'.$type.'">'.$form_name.$form_content.$form_url.$form_type.$form_access_level.$form_published.$form_buttons.'</div></div>';
		
		return $form;
	}
}