window.addEvent("domready",function(){
	var add_form = document.id('vt_element_add_form');
	// get the tabs data
	var tabs = JSON.decode(document.id('jform_params_tabs_data').innerHTML);
	if(tabs == null || tabs == '') tabs = [];
	// get public/register texts
	var public_text = add_form.getElements('.vt_element_add_content_access option')[0].innerHTML;
	var registered_text = add_form.getElements('.vt_element_add_content_access option')[1].innerHTML;
	var published_text = document.id('invisible').getElements('.vt_element_item_state span')[0].innerHTML;
	var unpublished_text = document.id('invisible').getElements('.vt_element_item_state span')[1].innerHTML;
	document.id('invisible').getElements('.vt_element_item_state span').destroy();
	//
	var add_form_scroll_wrap = document.id('vt_element_add_form').getElement('.height_scroll');
	var add_form_scroll = new Fx.Tween(add_form_scroll_wrap, { duration: 250, property: 'height', onComplete: function() { if(add_form_scroll_wrap.getSize().y > 0) add_form_scroll_wrap.setStyle('height', 'auto'); } });
	//
	document.id('vt_element_add_header').getElement('a').addEvent('click', function(e) {
		e.stop();
		add_form_scroll.start(add_form.getElement('.vt_element_add').getSize().y);
	});
	//
	document.id('vt_element_add_header').addEvent('click', function(e) {
		e.stop();
		add_form_scroll.start(add_form.getElement('.vt_element_add').getSize().y);
	});
	//
	var add_form_btns = add_form.getElements('.vt_element_add_submit a');
	// cancel button
	add_form_btns[1].addEvent('click', function(e) {
		if(e) e.stop();
		// clear the form
		add_form.getElement('.vt_element_add_name').set('value', '');
		add_form.getElement('.vt_element_add_content').set('value', '');
		add_form.getElement('.vt_element_add_url').set('value', '');
		add_form.getElement('.vt_element_add_type').set('value', '_self');
		add_form.getElement('.vt_element_add_published').set('value', '1');
		add_form.getElement('.vt_element_add_content_access').set('value', 'public');
		// hide the form
		add_form_scroll_wrap.setStyle('height', add_form_scroll_wrap.getSize().y + 'px');
		add_form_scroll.start(0);
	});
	// save button
	add_form_btns[0].addEvent('click', function(e) {
		create_item('new');
	});
	// create item
	function create_item(source) {
		// duplicate item structure
		var item = document.id('invisible').getElement('.vt_element_item').clone();
		// get the values from the form
		var name = (source == 'new') ? add_form.getElement('.vt_element_add_name').get('value') : source.name;
		var image = (source == 'new') ? add_form.getElement('.vt_element_add_content').get('value') : source.image;
		var url = (source == 'new') ? add_form.getElement('.vt_element_add_url').get('value') : source.url;
		var type = (source == 'new') ? add_form.getElement('.vt_element_add_type').get('value') : source.type;
		var published = (source == 'new') ? add_form.getElement('.vt_element_add_published').get('value') : source.published;
		var access = (source == 'new') ? add_form.getElement('.vt_element_add_content_access').get('value') : source.access;
		// put the values to the item
		item.getElement('.vt_element_item_name').innerHTML = name;
		item.getElement('.vt_element_item_type').innerHTML = (type == '_blank') ? 'Blank' : 'Self';
		item.getElement('.vt_element_item_state').setProperty('class', (published == 1) ? 'vt_element_item_state published' : 'vt_element_item_state unpublished');
		item.getElement('.vt_element_item_state').setProperty('title', (published == 1) ? published_text : unpublished_text);
		item.getElement('.vt_element_item_access').innerHTML = (access == 'public') ? public_text : registered_text;
		//
		// add the events to the item buttons
		//
		// fill the edit form
		item.getElement('.vt_element_edit_name').set('value', name);
		item.getElement('.vt_element_edit_content').set('value', image);
		item.getElement('.vt_element_edit_url').set('value', url);
		item.getElement('.vt_element_edit_type').set('value', type);
		item.getElement('.vt_element_edit_content_access').set('value', access);
		item.getElement('.vt_element_edit_published').set('value', published);
		// edit
		item.getElements('.vt_element_item_edit').addEvent('click', function(e){
			if(e) e.stop();
			item.getElement('.vt_element_item_desc').fireEvent('click');
		});
		// edit
		item.getElement('.vt_element_item_desc').addEvent('click', function(e){
			if(e) e.stop();
			var scroller = item.getElement('.vt_element_editor_scroll');
			scroller.setStyle('height', scroller.getSize().y + "px");
			var fx = new Fx.Tween(scroller, { duration: 250, property: 'height', onComplete: function() { if(scroller.getSize().y > 0) scroller.setStyle('height', 'auto'); } });
			
			if(scroller.getSize().y > 0) {
				fx.start(0);
			} else {
				var items = item.getParent().getElements('.vt_element_item');
				
				items.each(function(it) {
					if(it != item) it.getElements('.vt_element_edit_submit a')[1].fireEvent('click');
				});
			
				fx.start(scroller.getElement('div').getSize().y);
			}
		});
		// publish / unpublish
		item.getElement('.vt_element_item_state').addEvent('click', function(e) {
			if(e) e.stop();
			var btn = item.getElement('.vt_element_item_state');
			if(btn.hasClass('published')) {
				item.getElement('.vt_element_edit_published').set('value', 0);
				btn.setProperty('class', 'vt_element_item_state unpublished');
				btn.setProperty('title', unpublished_text);
				item.getElements('.vt_element_edit_submit a')[0].fireEvent('click');
			} else {
				item.getElement('.vt_element_edit_published').set('value', 1);
				btn.setProperty('class', 'vt_element_item_state published');
				btn.setProperty('title', published_text);
				item.getElements('.vt_element_edit_submit a')[0].fireEvent('click');
			}
		});
		// remove
		item.getElements('.vt_element_item_remove').addEvent('click', function(e){
			if(e) e.stop();
			// get all items list
			var items = item.getParent().getElements('.vt_element_item');
			// get the item ID on list
			var item_id = items.indexOf(item);
			// remove the object from the JSON array
			tabs.splice(item_id, 1);
			// remove the item from list
			item.destroy();
			// put the data to textarea field
			document.id('jform_params_tabs_data').innerHTML = JSON.encode(tabs);
		});
		// cancel edit
		item.getElements('.vt_element_edit_submit a')[1].addEvent('click', function(e) {
			if(e) e.stop();
			// hide the form
			var scroller = item.getElement('.vt_element_editor_scroll');
			scroller.setStyle('height', scroller.getSize().y + "px");
			new Fx.Tween(scroller, { duration: 250, property: 'height' }).start(0);
		});
		// save edit
		item.getElements('.vt_element_edit_submit a')[0].addEvent('click', function(e) {
			if(e) e.stop();
			// get the data from editor
			var name = item.getElement('.vt_element_edit_name').get('value');
			var image = item.getElement('.vt_element_edit_content').get('value');
			var url = item.getElement('.vt_element_edit_url').get('value');
			var type = item.getElement('.vt_element_edit_type').get('value');
			var access = item.getElement('.vt_element_edit_content_access').get('value');
			var published = item.getElement('.vt_element_edit_published').get('value');
			// set the data in the JSON object
			var items = item.getParent().getElements('.vt_element_item');
			var item_id = items.indexOf(item);
			tabs[item_id] = {
				"name" : name,
				"image" : image,
				"url" : url,
				"type" : type,
				"published" : published,
				"access" : access
			};
			// update the item content
			item.getElement('.vt_element_item_name').innerHTML = name;
			item.getElement('.vt_element_item_type').innerHTML = (type == '_blank') ? 'Blank' : 'Self';
			item.getElement('.vt_element_item_state').setProperty('class', (published == 1) ? 'vt_element_item_state published' : 'vt_element_item_state unpublished');
			item.getElement('.vt_element_item_state').setProperty('title', (published == 1) ? published_text : unpublished_text);
			item.getElement('.vt_element_item_access').innerHTML = (access == 'public') ? public_text : registered_text;
			// hide the form
			item.getElements('.vt_element_edit_submit a')[1].fireEvent('click');
			// put the data to textarea field
			document.id('jform_params_tabs_data').innerHTML = JSON.encode(tabs);
		});
		// order up 
		item.getElement('.vt_element_item_order_up').addEvent('click', function(e) {
			if(e) e.stop();
			var wrap = item.getParent();
			// get item ID
			var items = item.getParent().getElements('.vt_element_item');
			var item_id = items.indexOf(item);
			// check item ID
			if(item_id > 0) {
				var tmp = tabs[item_id - 1];
				tabs[item_id - 1] = tabs[item_id];
				tabs[item_id] = tmp;
				item.inject(item.getPrevious(), 'before');
				// refresh order buttons state
				if(items.length > 0) {
					wrap.getElements('.vt_element_item_order_down').setStyle('opacity', 1);
					wrap.getElements('.vt_element_item_order_up').setStyle('opacity', 1);
					wrap.getElement('.vt_element_item_order_up').setStyle('opacity', 0.3);
					wrap.getElements('.vt_element_item_order_down')[items.length - 1].setStyle('opacity', 0.3);
				}
				// put the data to textarea field
				document.id('jform_params_tabs_data').innerHTML = JSON.encode(tabs);
			}	
		});
		// order down
		item.getElement('.vt_element_item_order_down').addEvent('click', function(e) {
			if(e) e.stop();
			var wrap = item.getParent();
			// get item ID
			var items = wrap.getElements('.vt_element_item');
			var item_id = items.indexOf(item);
			// check item ID
			if(item_id < items.length - 1) {
				var tmp = tabs[item_id + 1];
				tabs[item_id + 1] = tabs[item_id];
				tabs[item_id] = tmp;
				item.inject(item.getNext(), 'after');
				// refresh order buttons state
				if(items.length > 0) {
					wrap.getElements('.vt_element_item_order_down').setStyle('opacity', 1);
					wrap.getElements('.vt_element_item_order_up').setStyle('opacity', 1);
					wrap.getElement('.vt_element_item_order_up').setStyle('opacity', 0.3);
					wrap.getElements('.vt_element_item_order_down')[items.length - 1].setStyle('opacity', 0.3);
				}
				// put the data to textarea field
				document.id('jform_params_tabs_data').innerHTML = JSON.encode(tabs);
			}		
		});
		//
		// put the data to object
		//
		if(source == 'new') { // only new objects
			tabs.push({
				"name" : name,
				"image" : image,
				"url" : url,
				"type" : type,
				"published" : published,
				"access" : access
			});
			// clear and hide the form
			add_form_btns[1].fireEvent('click');
			// put the data to textarea field
			document.id('jform_params_tabs_data').innerHTML = JSON.encode(tabs);
		}
		// put the item to the list
		item.inject(document.id('tabs_list'), 'bottom');
		// refresh order buttons state
		var wrap = item.getParent();
		var items = wrap.getElements('.vt_element_item');
		if(items.length > 0) {
			wrap.getElements('.vt_element_item_order_down').setStyle('opacity', 1);
			wrap.getElements('.vt_element_item_order_up').setStyle('opacity', 1);
			wrap.getElement('.vt_element_item_order_up').setStyle('opacity', 0.3);
			wrap.getElements('.vt_element_item_order_down')[items.length - 1].setStyle('opacity', 0.3);
		}
	}
	// generate the list
	tabs.each(function(tab) {
		create_item(tab);
	});
});